# $Revision: 1.4.2.2 $, $Date: 2003/04/28 12:51:54 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Tie
%define	pnam	Persistent
Summary:	Tie::Persistent - persistent data structures via tie made easy
Summary(pl):	Tie::Persistent - trwae struktury danych oparte na Tie
Name:		perl-Tie-Persistent
Version:	1.00
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
Requires:	perl-Storable >= 0.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Tie::Persistent package makes working with persistent data real
easy by using the tie interface.

It works by storing data contained in a variable into a file (not
unlike a database). The primary advantage is speed, as the whole
datastructure is kept in memory (which is also a limitation), and, of
course, that you can use arbitrary data structures inside the variable
(unlike DB_File).

%description -l pl
Pakiet Tie::Persistent czyni prac z trwaymi danymi naprawd atw
dziki uyciu interfejsu tie.

Dziaa on poprzez zapisywanie danych zawartych w zmiennej do pliku
(podobnie jak w bazie danych). Gwn zalet jest szybko, jako e
caa struktura danych jest trzymana w pamici (ktra jest take
ograniczeniem) i oczywicie to, e mona uywa w zmiennej dowolnych
struktur danych (w przeciwiestwie do DB_File).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Tie-Persistent.spec,v $
Revision 1.4.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.4.2.1  2003/03/13 00:59:09  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:00  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/10 21:28:13  qboosh
- pl description, release 2

Revision 1.1  2002/09/07 18:59:44  radek
- new, STBR
